Wrong search pagination

2014-01-28 15:59 - Daniel Felix

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Hi team,

I've encountered some strange search result behaviour.

We're using SQL Server for our instance with the latest Ruby Release (2.1.0) But we've encountered the same behaviour earlier with

the older Redmine Releases (2.2 to 2.5-devel).

For example:

Search as admin for "test". We're getting nearly 650 results. If I try to paginate next, everything seems to be ok, but in fact I'm not on

page 2, instead I'm on the penultimate page (Pagecount -1). If I press next again, I'm on the last page of my 650 results.

This seems to be a bug. I can replicate it everytime. Even on fresh installs.

The next URL seems to give the resolution:

I searched today for "test", the next link has a strange offset:

/search?offset= 20130603084359 &q=test&utf8=%E2%9C%93

Related issues:

Is duplicate of Redmine - Defect #16239: Search does not return all the results Closed

History

#1 - 2014-03-05 20:17 - Darth Vader

I believe this is a duplicate of #16239. See our resolution.

#2 - 2014-04-04 09:21 - Toshi MARUYAMA

- Category set to Search engine

#3 - 2014-04-04 09:22 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Darth Vader wrote:

I believe this is a duplicate of #16239. See our resolution.

 Thank you for your pointing.

I close this issue because #16239 has descriptions and notes more details.

#4 - 2014-04-04 09:22 - Toshi MARUYAMA

- Is duplicate of Defect #16239: Search does not return all the results added

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/issues/16239
https://www.redmine.org/issues/16239
https://www.redmine.org/issues/16239
http://www.tcpdf.org

